Package tigase.auth.credentials.entries

## Class MD5UsernamePasswordCredentialsEntry.Decoder

- java.lang.Object
- - tigase.auth.credentials.entries.MD5UsernamePasswordCredentialsEntry.Decoder

- All Implemented Interfaces:
    `Credentials.Decoder`
  Enclosing class:
    MD5UsernamePasswordCredentialsEntry

      @Bean(name="MD5-USERNAME-PASSWORD",
            parent=CredentialsDecoderBean.class,
            active=false)
      public static class MD5UsernamePasswordCredentialsEntry.Decoder
      extends java.lang.Object
      implements Credentials.Decoder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Decoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Credentials.Entry` | `decode​(BareJID user, java.lang.String value)` | Decode credentials stored in database to more suitable form.
    `java.lang.String` | `getName()` | Name of mechanism for which decoder works

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Decoder

          public Decoder()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Credentials.Decoder`
      Name of mechanism for which decoder works
      Specified by:
        `getName` in interface `Credentials.Decoder`
      Returns:
        name of mechanism for which decoder works

    - #### decode

          public Credentials.Entry decode​(BareJID user,
                                          java.lang.String value)

      Description copied from interface: `Credentials.Decoder`
      Decode credentials stored in database to more suitable form.
      Specified by:
        `decode` in interface `Credentials.Decoder`
      Returns:
        credentials stored in database in more suitable form